Bug 501469 - yum-builddep won't build dep chain for GCC SRPM
yum-builddep won't build dep chain for GCC SRPM
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 06:28 EDT by Michal Nowak
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 17:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-05-19 06:28:30 EDT
Description of problem:

newman@dhcp-lab-124 candcplusplus $ yumdownloader --source gcc
[..]
gcc-4.4.0-4.src.rpm                                                                                                                                                                                         |  49 MB     00:48     

newman@dhcp-lab-124 candcplusplus $ mv gcc-4.4.0-4.src.rpm ~/rpmbuild/SRPMS/

newman@dhcp-lab-124 candcplusplus $ sudo yum-builddep ~/rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm 
Loaded plugins: dellsysidplugin2, presto, refresh-packagekit
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 signature: NOKEY, key ID d22e77f2
Error: Could not open /home/newman/rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm
There was a problem getting the build deps, exiting:
   Could not open local rpm file: /home/newman/rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm

newman@dhcp-lab-124 candcplusplus $ sudo rpm -ivh /home/newman/rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm 
warning: /home/newman/rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID d22e77f2
   1:gcc                    warning: user mockbuild does not exist - using root


So the RPM is not corrupted or something. 

Version-Release number of selected component (if applicable):

gcc-4.4.0-4.x86_64
yum-utils-1.1.21-2.fc11.noarch
yum-3.2.22-4.fc11.noarch

How reproducible:

always

Steps to Reproduce:
1. Get SRPM of gcc-4.4.0-4, try to build dep chain (on x86-64?)
Comment 1 James Antill 2009-05-19 09:36:09 EDT
This looks just like bug 487323, which should be fixed :(.
It's failing on:

         hdr = ts.hdrFromFdno(fdno)

...and it works if I do:

rpm --import https://fedoraproject.org/static/D22E77F2.txt

...which is the same problem :(
Comment 2 James Antill 2009-05-23 01:27:08 EDT
 Note that we have to fail, by default, for security reasons. However --nogpgcheck doesn't work, which we need to fix:

% yum-builddep gcc-4.4.0-4.src.rpm --enablerepo=rawhide --nogpgcheck
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 signature: NOKEY, key ID d22e77f2
Traceback (most recent call last):
[...]
yum.Errors.MiscError: Could not open local rpm file: gcc-4.4.0-4.src.rpm
Comment 3 seth vidal 2009-05-26 14:36:09 EDT
I made this change on friday and forgot to note it here:

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=ca1dbf2ac510da9394996281800057565ccdc9a8

I think that's the best we're going to come up with.
Comment 4 Michal Nowak 2009-05-27 04:30:52 EDT
I am afraid I don't see the difference:

"NORMAL" run
============

newman@dhcp-lab-124 ~ $ sudo yum-builddep rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm 
Loaded plugins: dellsysidplugin2, presto, refresh-packagekit
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 signature: NOKEY, key ID d22e77f2
Error: Could not open rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm
There was a problem getting the build deps, exiting:
   Could not open local rpm file: rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm

--nogpgcheck run
================

newman@dhcp-lab-124 ~ $ sudo yum-builddep --nogpgcheck rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm 
Loaded plugins: dellsysidplugin2, presto, refresh-packagekit
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 signature: NOKEY, key ID d22e77f2
Error: Could not open rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm
There was a problem getting the build deps, exiting:
   Could not open local rpm file: rpmbuild/SRPMS/gcc-4.4.0-4.src.rpm

And I guess James in comment #2 stated that "--nogpgcheck" is *not* working.
Comment 5 seth vidal 2009-05-28 14:45:32 EDT
yep, you're right.

complete fix here

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=62423aea473c580e9d2448215863a689c096660c
Comment 6 Bug Zapper 2009-06-09 12:06:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.